<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('nis');
            $table->string('password');
            $table->string('level');
            $table->string('nama');
            $table->string('alamat');
            $table->bigInteger('no_telp');
            $table->enum('status_santri', ['lulus', 'aktif']);
            $table->enum('jk', ['laki laki', 'perempuan']);
            $table->date('tanggal_lahir');
            $table->string('foto')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
